CVE-2023-35992

CVSS 3.1 Score 7.0 of 10 (high)

Details

Published Jan 8, 2024
Updated: Jan 16, 2024
CWE ID 190

Summary

CVE-2023-35992 is an integer overflow vulnerability in the FST fstReaderIterBlocks2 vesc allocation functionality of GTKWave 3.3.115 when compiled as a 32-bit binary. This vulnerability affects the product GTKWave version 3.3.115. Exploiting this vulnerability requires a victim to open a specially crafted .fst file, which can lead to memory corruption. The base severity score for this vulnerability is rated as HIGH (7.0) with a high impact on integrity and confidentiality, and it requires user interaction to be triggered. The potential danger it poses to an organization is significant, as it can result in unauthorized access to sensitive information and potential system compromise. To remediate this vulnerability, users should update their GTKWave software to a version that includes a fix for this issue.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-35992 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options